## squid 6.13

=== debian/changelog ===
squid (6.13-0ubuntu0.24.04.3) noble-security; urgency=medium

  * SECURITY UPDATE: HTTP Authentication credential leak
    - debian/patches/CVE-2025-62168.patch: Add maskSensitiveInfo parameter to
      pack and pass it to packInto in src/HttpRequest.cc. Add maskSensitiveInfo
      to pack in src/HttpRequest.h. Adapt code with new parameter in
      src/client_side_reply.cc, and src/errorpage.cc. Remove request_hdr NULL
      assign in src/errorpage.h.
    - CVE-2025-62168

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 23 Oct 2025 10:35:09 -0230

squid (6.13-0ubuntu0.24.04.2) noble-security; urgency=medium

  * SECURITY UPDATE: ASN.1 encoding mishandling
    - debian/patches/CVE-2025-59362.patch: fix ASN.1 encoding of long SNMP
      OIDs in lib/snmplib/asn1.c.
    - CVE-2025-59362

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Oct 2025 09:35:08 -0400

squid (6.13-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream version 6.13 (LP: #2085197)
    - Fix getting stuck when RESPMOD is slower than read(2)
    - Fix large uploads fill request buffer and die
    - Fix GCC v14 build [-Wmaybe-uninitialized]
    - Fix GCC v14 [-Wanalyzer-null-dereference] warnings in Kerberos
    - Fix nil request dereference in ACLExtUser and SourceDomainCheck ACLs
    - Fix systemd startup sequence to require active Local Filesystem
    - Fix validation of Digest auth header parameters
    - Improve robustness of DNS code on reconfigure
    - Prevent slow memory leak in TCP DNS queries
    - Improve errors emitted when invalid ACLs are parsed
    - ext_time_quota_acl: remove -l option

 -- Bryce Harrington <bryce@canonical.com>  Tue, 29 Apr 2025 16:08:59 -0700

squid (6.10-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream version 6.10 (LP: #2073322):
    - Fix issue where successful tunnels were being logged as TCP_TUNNEL/500.
    - Fix a logic error when starting squid with the -a option, which could
      lead to a crash.
    - Fix marking of problematic cached IP addresses.
    - For a comprehensive list of changes, please see
      https://www.squid-cache.org/Versions/v6/squid-6.10-RELEASENOTES.html.
  * d/u/signing-key.asc: update keyring file. (Closes: #1084734)
  * Dropped changes:
    - SECURITY UPDATE: DoS via chunked decoder uncontrolled recursion bug
      + debian/patches/CVE-2024-25111.patch: fix infinite recursion in
        src/http.cc, src/http.h.
      + CVE-2024-25111
      [ Fixed in 6.8 ]
    - SECURITY UPDATE: DoS in ESI processing using multi-byte characters
      + debian/patches/CVE-2024-37894.patch: fix variable datatype to handle
        variables names outside standard ASCII characters
      + CVE-2024-37894
      [ Fixed in 6.10 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 09 Sep 2024 10:32:37 -0300

squid (6.6-1ubuntu5.1) noble-security; urgency=medium

  * SECURITY UPDATE: DoS in ESI processing using multi-byte characters
    - debian/patches/CVE-2024-37894.patch: fix variable datatype to handle
      variables names outside standard ASCII characters
    - CVE-2024-37894

 -- Vyom Yadav <vyom.yadav@canonical.com>  Sun, 07 Jul 2024 17:30:16 +0530
