=== debian/control ===
Source: squid
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
Uploaders: Santiago Garcia Mantinan <manty@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/squid-team/squid.git
Vcs-Browser: https://salsa.debian.org/squid-team/squid
Build-Depends: ed
	, libltdl-dev
	, pkg-config
# The compiler dependencies are relevant for backporting.
	, g++ (>= 5) <!cross> | clang (>= 3.8) <!cross>
	, gcc (>= 5) <!cross> | clang (>= 3.8) <!cross>
	, debhelper-compat (= 13)
	, lsb-release
	, dh-apparmor
	, libcppunit-dev
	, libcap2-dev [linux-any]
	, libecap3-dev (>= 1.0.1-2)
	, libexpat1-dev
	, libgnutls28-dev (>= 3.5)
	, libkrb5-dev, comerr-dev
	, libldap2-dev
	, libnetfilter-conntrack-dev [linux-any]
	, libpam0g-dev
	, libsasl2-dev
	, libsystemd-dev [linux-any]
	, libtdb-dev
	, libxml2-dev
	, nettle-dev
	, libssl-dev

Package: squid
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl, ssl-cert
Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
Recommends: libcap2-bin [linux-any], ca-certificates
Conflicts: squid-openssl
Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.

Package: squid-openssl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl
Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
Recommends: libcap2-bin [linux-any], ca-certificates
Conflicts: squid
Description: Full featured Web Proxy cache (HTTP proxy OpenSSL flavour)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.

Package: squid-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains common files (MIB and icons)

Package: squidclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ssl-cert, ca-certificates
Description: Full featured Web Proxy cache (HTTP proxy) - HTTP(S) message utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to get URLs from the
 command line.

Package: squid-cgi
Architecture: any
Depends: apache2 | httpd, ${shlibs:Depends}, ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - control CGI
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains a CGI program that can be used to query and administrate
 a `squid' proxy cache through a web browser.

Package: squid-purge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - cache management utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to manage the disk cache
 from the command line.
