=== debian/control ===
Source: squid
Section: web
Priority: optional
Maintainer: Luigi Gangitano <luigi@debian.org>
Uploaders: Santiago Garcia Mantinan <manty@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/squid-team/squid.git
Vcs-Browser: https://salsa.debian.org/squid-team/squid
Rules-Requires-Root: binary-targets
Build-Depends: ed
	, libltdl-dev
	, pkgconf
# The compiler dependencies are relevant for backporting.
	, g++ (>= 5) <!cross> | clang (>= 3.8) <!cross>
	, gcc (>= 5) <!cross> | clang (>= 3.8) <!cross>
	, debhelper-compat (= 13)
	, dh-apparmor
	, libcppunit-dev
	, libcap2-dev [linux-any]
	, libcrypt-dev
	, libecap3-dev (>= 1.0.1-2)
	, libexpat1-dev
	, libgnutls28-dev (>= 3.5)
	, libkrb5-dev, comerr-dev
	, libldap2-dev
	, libnetfilter-conntrack-dev [linux-any]
	, libpam0g-dev
	, libsasl2-dev
	, libsystemd-dev [linux-any]
	, libtdb-dev
	, libxml2-dev
	, nettle-dev
	, libssl-dev

Package: squid
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), libdbi-perl
Suggests: resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
Recommends: libcap2-bin [linux-any], ca-certificates
Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package provides Squid binaries supporting HTTPS features
 without SSL-Bump (HTTPS interception).

Package: squid-openssl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, squid (>= ${source:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, ca-certificates
Description: Full featured Web Proxy cache (HTTP proxy OpenSSL flavour)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package provides Squid binaries supporting full SSL-Bump features for
 with SSL-Bump (HTTPS interception) using OpenSSL.

Package: squid-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains common files (MIB and icons)
