## squid 7.2

=== debian/changelog ===
squid (7.2-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126018). Remaining changes:
    - d/usr.sbin.squid: Add sections for squid-deb-proxy and
      squidguard
    - d/p/90-cf.data.ubuntu.patch: Add refresh patterns for deb
      packaging
    - Use snakeoil certificates:
      + d/control: add ssl-cert to dependencies
      + d/p/99-ubuntu-ssl-cert-snakeoil.patch: add a note about ssl
        to the default config file
    - d/NEWS: drop the NIS basic auth helper (LP #1895694)
    - d/rules: halt build upon test failures.
    - d/rules: do not include additional configuration files during
      build time tests. This would lead to test failures due to missing
      paths.
    - d/t/upstream-test-suite: use installed squid binary for
      autopkgtest config file checks.
    - d/source_squid.py, d/rules: Add apport hook (LP #676141)
  * New changes:
    - d/squid-openssl.links: fix broken manpage link for squid-openssl.
  * Dropped changes:
    - d/p/0009-Fix-Werror-alloc-size-larger-than-on-GCC-12.patch:
      Fix FTBFS due to -Werror=alloc-size-larger-than on GCC 12.
      [ Applied upstream in version 7.0.2 ]
    - d/p/0010-Fix-Werror-sign-compare-on-GCC-13.patch: fix comparison
      between signed and unsigned values.
      [ Applied upstream in version 7.0.2 ]
    - lp-2125118-*: Fix FTBFS with GCC-15 (LP #2125118)
      [ Applied upstream in version 7.0.2 ]
    - debian/patches/CVE-2025-59362.patch: fix ASN.1 encoding of long SNMP OIDs
      in lib/snmplib/asn1.c. (CVE-2025-59362)
      [ Applied upstream in version 7.2 ]
    - d/p/CVE-2025-62168.patch: Add maskSensitiveInfo parameter to
      pack and pass it to packInto in src/HttpRequest.cc. Add maskSensitiveInfo
      to pack in src/HttpRequest.h. Adapt code with new parameter in
      src/client_side_reply.cc, and src/errorpage.cc. Remove request_hdr NULL
      assign in src/errorpage.h. (CVE-2025-62168)
      [ Applied upstream in version 7.2 ]
    - d/rules: disable LTO related compilation errors for ppc64el builds.
      [ No more needed in version 7.2-2 in resolute ]

 -- Renan Rodrigo <rr@ubuntu.com>  Wed, 26 Nov 2025 15:36:40 -0300

squid (7.2-2) unstable; urgency=high

  [ Luigi Gangitano <luigi@debian.org> ]
  * debian/patches/0008-upstream-ab5cf0c36b538627c82b3989d6c87d1668c7e081.patch
    - Added upstream patch fixing error on CONNECT to hosts starting with
      digit

 -- Luigi Gangitano <luigi@debian.org>  Thu, 23 Oct 2025 19:18:11 +0200

squid (7.2-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release 7.2 (Closes: #1080997)
    Fixes: CVE-2025-62168. SQUID-2025:2 (Closes: #1118341)
    Fixes: CVE-2025-59362 (Closes: #1117048)

  * debian/watch
    - remove check for files no longer provided upstream

  * debian/control
    - support libkrb5 provided by krb5-multidev package

 -- Luigi Gangitano <luigi@debian.org>  Wed, 22 Oct	2025 16:58:20 +0200

squid (6.13-1ubuntu5) resolute; urgency=medium

  * SECURITY UPDATE: HTTP Authentication credential leak
    - debian/patches/CVE-2025-62168.patch: Add maskSensitiveInfo parameter to
      pack and pass it to packInto in src/HttpRequest.cc. Add maskSensitiveInfo
      to pack in src/HttpRequest.h. Adapt code with new parameter in
      src/client_side_reply.cc, and src/errorpage.cc. Remove request_hdr NULL
      assign in src/errorpage.h.
    - CVE-2025-62168

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 28 Oct 2025 14:58:21 -0230

squid (6.13-1ubuntu4) questing; urgency=medium

  * SECURITY UPDATE: ASN.1 encoding mishandling
    - debian/patches/CVE-2025-59362.patch: fix ASN.1 encoding of long SNMP
      OIDs in lib/snmplib/asn1.c.
    - CVE-2025-59362

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Oct 2025 09:30:30 -0400

squid (6.13-1ubuntu3) questing; urgency=medium

  * lp-2125118-*: Fix FTBFS with GCC-15 (LP: #2125118)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Sep 2025 15:59:23 +0200

squid (6.13-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:33 +0200

squid (6.13-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2097411). Remaining changes:
    - d/usr.sbin.squid: Add sections for squid-deb-proxy and
      squidguard
    - d/p/90-cf.data.ubuntu.patch: Add refresh patterns for deb
      packaging
    - Use snakeoil certificates:
      + d/control: add ssl-cert to dependencies
      + d/p/99-ubuntu-ssl-cert-snakeoil.patch: add a note about ssl
        to the default config file
    - d/NEWS: drop the NIS basic auth helper (LP #1895694)
    - d/p/0009-Fix-Werror-alloc-size-larger-than-on-GCC-12.patch:
      Fix FTBFS due to -Werror=alloc-size-larger-than on GCC 12.
    - d/rules: halt build upon test failures.
    - d/rules: do not include additional configuration files during
      build time tests. This would lead to test failures due to missing
      paths.
    - d/t/upstream-test-suite: use installed squid binary for
      autopkgtest config file checks.
    - d/p/0010-Fix-Werror-sign-compare-on-GCC-13.patch: fix comparison
      between signed and unsigned values.
    - d/rules: disable LTO related compilation errors for ppc64el builds.
    - d/source_squid.py, d/rules: Add apport hook (LP #676141)
  * Dropped changes:
    - d/p/0011-Fix-uninitialized-end-variable.patch: Fix FTBFS on
      uninitialized variable by adding null ptr checking.
      (LP: #2093295)
      [ Fixed in 6.13 ]

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Mon, 17 Feb 2025 15:54:27 -0300

squid (6.10-1ubuntu2) plucky; urgency=medium

  * d/p/0011-Fix-uninitialized-end-variable.patch: Fix FTBFS on
    uninitialized variable by adding null ptr checking.
    (LP: #2093295)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 08 Jan 2025 15:41:11 -0800
