=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squid
 Section: web
 Priority: optional
-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
 Standards-Version: 4.7.2
@@ -22,7 +23,8 @@
 	, libecap3-dev (>= 1.0.1-2)
 	, libexpat1-dev
 	, libgnutls28-dev (>= 3.5)
-	, libkrb5-dev, comerr-dev
+	, libkrb5-dev | krb5-multidev
+	, comerr-dev
 	, libldap2-dev
 	, libnetfilter-conntrack-dev [linux-any]
 	, libpam0g-dev
@@ -36,7 +38,7 @@
 Package: squid
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}, adduser
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), libdbi-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), libdbi-perl, ssl-cert
 Suggests: resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
 Recommends: libcap2-bin [linux-any], ca-certificates
 Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)
