=== debian/rules ===
--- 
+++ 
@@ -88,9 +88,17 @@
 	dh_auto_build
 	cd debian/build-openssl && dh_auto_build
 
+execute_before_dh_auto_test:
+	# Do not include additional configuration files during tests. This would lead to failures due to missing paths.
+	sed -i 's|^\(include /etc/squid/conf\.d/\*\.conf\)|# \1|' src/squid.conf.default debian/build-openssl/src/squid.conf.default
+
 override_dh_auto_test:
-	-dh_auto_test
-	-cd debian/build-openssl && dh_auto_test
+	dh_auto_test
+	cd debian/build-openssl && dh_auto_test
+
+execute_after_dh_auto_test:
+	# Restore configuration file to its previous state.
+	sed -i 's|^# \(include /etc/squid/conf\.d/\*\.conf\)|\1|' src/squid.conf.default debian/build-openssl/src/squid.conf.default
 
 override_dh_auto_install:
 	dh_auto_install
@@ -133,6 +141,10 @@
 	install -m 644 -g root debian/squid.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid
 
 override_dh_install:
+	# Apport hook
+	dh_install -psquid-common debian/source_squid.py \
+		usr/share/apport/package-hooks/
+
 	dh_install -psquid -psquid-common --sourcedir=$(INSTALLDIR)
 	dh_install -psquid-openssl --sourcedir=$(INSTALLDIR)-openssl
