## squid 7.4

=== debian/changelog ===
squid (7.4-1) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release 7.4

  * debian/control
    - Bumped Standards-Version to 4.7.3
    - Remove Priority field

  * debian/patches/
    - removed patches included upstream

 -- Luigi Gangitano <luigi@debian.org>  Thu,  1 Feb 2026 21:18:11 +0100
