## squid redir

=== Makefile ===
.PHONY:	clean all install

DESTDIR=
SBINDIR=/usr/sbin
WWWDIR=/home/www
CGIBINDIR=$(WWWDIR)/cgi-bin
CGISBINDIR=$(CGIBINDIR)/admin
HTDOCSDIR=$(WWWDIR)/htdocs/squid_redir
SYSCONFDIR=/etc/squid

CC=gcc -Wall -Os -s
CFLAGS=-I/usr/local/pgsql/include
LDFLAGS=-L/usr/local/pgsql/lib
LIBS=-lpq

all:	Makefile squid_redir squid_redir_conf squid_redir_error

install:	all
	mkdir -p $(DESTDIR)$(SBINDIR) $(DESTDIR)$(CGIBINDIR) \
		$(DESTDIR)$(CGISBINDIR) $(DESTDIR)$(HTDOCSDIR) \
		$(DESTDIR)$(SYSCONFDIR)
	cp squid_redir $(DESTDIR)$(SBINDIR)
	cp squid_redir_conf $(DESTDIR)$(CGISBINDIR)
	cp squid_redir_error $(DESTDIR)$(CGIBINDIR)
	cp -i squid_redir.conf $(DESTDIR)$(SYSCONFDIR)
	chmod 600 $(DESTDIR)$(SYSCONFDIR)/squid_redir.conf
	cp pages/* $(DESTDIR)$(HTDOCSDIR)

squid_redir:	Makefile squid_redir.o db.o io.o str.o
	$(CC) $(LDFLAGS) $(LIBS) -o squid_redir squid_redir.o db.o io.o str.o

squid_redir.o:	Makefile squid_redir.c squid_redir.h defs.h db.h io.h str.h
	$(CC) $(CFLAGS) -c -o squid_redir.o squid_redir.c

squid_redir_error: Makefile squid_redir_error.o io.o cgi.o
	$(CC) $(LDFLAGS) -o squid_redir_error squid_redir_error.o io.o cgi.o

squid_redir_error.o:	Makefile squid_redir_error.c io.h cgi.h
	$(CC) $(CFLAGS) -c -o squid_redir_error.o squid_redir_error.c

squid_redir_conf:	Makefile squid_redir_conf.o cgi.o db.o io.o str.o
	$(CC) $(LDFLAGS) $(LIBS) -o squid_redir_conf squid_redir_conf.o \
		cgi.o db.o io.o str.o

squid_redir_conf.o:	Makefile squid_redir_conf.c squid_redir_conf.h \
			defs.h cgi.h db.h io.h str.h
	$(CC) $(CFLAGS) -c -o squid_redir_conf.o squid_redir_conf.c

cgi.o:	Makefile cgi.c cgi.h
	$(CC) -c -o cgi.o cgi.c

db.o:	Makefile db.c db.h
	$(CC) $(CFLAGS) -c -o db.o db.c

io.o:	Makefile io.c io.h
	$(CC) $(CFLAGS) -c -o io.o io.c

str.o:	Makefile str.c str.h io.h
	$(CC) $(CFLAGS) -c -o str.o str.c

squid_redir.tar.bz2:	clean
	cd .. && tar -cvyf squid_redir/squid_redir.tar.bz2 squid_redir/*

clean:
	-rm *.o squid_redir squid_redir_conf squid_redir_error \
		squid_redir.tar.bz2
